--
-- Initialization data for testing
--
-- @version $Id: init-master.sql 251 2009-06-15 19:20:05Z fabius $
--

-- user and device used by tests for imap

delete from fnbl_client_mapping where principal in
 (select id from fnbl_principal where username='guest');
delete from fnbl_last_sync where principal in
 (select id from fnbl_principal where username='guest');

delete from fnbl_principal where username='guest';

delete from fnbl_device where id='fjm-1215355df35b917ee82';
delete from fnbl_device where id='fwm-35525701681145401';

delete from fnbl_user where username='guest';
delete from fnbl_user_role where username='guest';
insert into fnbl_user (username, password, email, first_name, last_name) 
values('guest', '65GUmi03K6o=', 'guest@funambol.com', 'guest', 'guest');
insert into fnbl_user_role values('guest','sync_user');

insert into fnbl_device (id, description, type, client_nonce, server_nonce, server_password, id_caps, timezone, convert_date, charset)
values('fjm-1215355df35b917ee82', 'JavaME Email Client', 'Phone', '', '', 'fnbl', null, null, '', 'UTF-8');

insert into fnbl_device (id, description, type, client_nonce, server_nonce, server_password, id_caps, timezone, convert_date, charset)
values('fwm-35525701681145401', 'WM SmartPhone Client', 'Phone', '', '', 'fnbl', null, null, '', 'UTF-8');

insert into fnbl_principal(username, device, id)
values('guest', 'fjm-1215355df35b917ee82', (select counter from fnbl_id where idspace='principal'));

insert into fnbl_principal(username, device, id)
values('guest', 'fwm-35525701681145401', (select counter + 1 from fnbl_id where idspace='principal'));

update fnbl_id set counter=1 + (select max(id) from fnbl_principal),
increment_by=10 where idspace='principal';

delete from fnbl_id where idspace='email.cacheid';
delete from fnbl_id where idspace='email.sentid';
delete from fnbl_id where idspace='email.folderid';
insert into fnbl_id (idspace, counter) values('email.cacheid',0);
insert into fnbl_id (idspace, counter) values('email.sentid',0);
insert into fnbl_id (idspace, counter) values('email.folderid',0);

delete from fnbl_pim_contact where userid='guest';

delete from fnbl_email_cache;
delete from fnbl_email_inbox;
delete from fnbl_email_folder;
delete from fnbl_email_push_registry;
delete from fnbl_email_enable_account where username='guest';
delete from fnbl_email_account where username='guest';

insert into fnbl_email_account (account_id, username, ms_login, ms_password,
ms_address, push, max_num_email, max_imap_email, mailserver_id, server_type,
description, protocol, out_server, out_port, out_auth, in_server, in_port, 
sslin, sslout, inbox_name, inbox_active, outbox_name, outbox_active, sent_name,
sent_active, soft_delete, server_public, ms_mailboxname, out_login, out_password)
values(1, 'guest', 'user.devsim1', 'gbHTv9a/RJN82bLCjZvnuw==',
'user.devsim1@gmail.com', 'N', 30, 10, '1', 'GMail', 'Gmail', 'imap',
'smtp.gmail.com', 465, 'Y', 'imap.gmail.com', 993, 'Y', 'Y', 'Inbox', 'Y',
'Outbox', 'Y', 'Sent', 'N', 'N', 'Y', null, null, null);

insert into fnbl_email_enable_account values(
(select account_id from fnbl_email_account where username='guest' and 
ms_login='user.devsim1'), 'guest');

insert into fnbl_email_push_registry(id, period, active, last_update, status,
task_bean_file) values(1, 300000, 'N', '1242059103484', 'N',
'com/funambol/email/inboxlistener/task/InboxListenerTask.xml');

-- user and device used by tests for pop

delete from fnbl_client_mapping where principal in
 (select id from fnbl_principal where username='guest1');
delete from fnbl_last_sync where principal in
 (select id from fnbl_principal where username='guest1');

delete from fnbl_principal where username='guest1';

delete from fnbl_device where id='fjm-121ce88dfd2a48e4a2';

delete from fnbl_user where username='guest1';
delete from fnbl_user_role where username='guest1';
insert into fnbl_user (username, password, email, first_name, last_name) 
values('guest1', '65GUmi03K6o=', 'guest1@funambol.com', 'guest1', 'guest1');
insert into fnbl_user_role values('guest1','sync_user');

insert into fnbl_device (id, description, type, client_nonce, server_nonce, server_password, id_caps, timezone, convert_date, charset)
values('fjm-121ce88dfd2a48e4a2', 'JavaME Email Client', '', '', '', 'fnbl', null, null, '', 'UTF-8');

insert into fnbl_principal(username, device, id)
values('guest1', 'fjm-121ce88dfd2a48e4a2', (select counter from fnbl_id where idspace='principal'));

update fnbl_id set counter=1 + (select max(id) from fnbl_principal),
increment_by=10 where idspace='principal';

delete from fnbl_pim_contact where userid='guest1';

delete from fnbl_email_enable_account where username='guest1';
delete from fnbl_email_account where username='guest1';

insert into fnbl_email_account (username,ms_login,ms_password,ms_address,push,soft_delete,max_num_email,max_imap_email,mailserver_id,server_public,server_type,description,protocol,out_server,out_port,out_auth,in_server,in_port,sslin,sslout,inbox_name,inbox_active,outbox_name,outbox_active,sent_name,sent_active,drafts_name,drafts_active,trash_name,trash_active,account_id,ms_mailboxname,out_login,out_password)
values ('guest1','user.devsim3','gbHTv9a/RJPy/r54LFl93A==','user.devsim3@popserver.com','n','n',100,10,'100','n','Other','Other','pop3','pop.popserver.com',25,'y','smtp.popserver.com',110,'n','n','Inbox','y','Outbox','y','Sent','n','Drafts','n','Trash','n',2,null,null,null);

insert into fnbl_email_enable_account (account_id,username) values (
(select account_id from fnbl_email_account where username='guest1' and 
ms_login='user.devsim3'),'guest1');

insert into fnbl_email_push_registry(id, period, active, last_update, status,
task_bean_file) values(2, 300000, 'N', '1242059103484', 'N',
'com/funambol/email/inboxlistener/task/InboxListenerTask.xml');